function AddSecondsFromNowDotNetTime(addSeconds) -- Time helper
    local time = ScenEdit_CurrentTime()
    local offSet = 62135596801 --number of seconds from 01-01-0001 to 01-01-1970
    local newTime = (time + offSet + addSeconds)*10000000
    local timeToUse = string.format("%18.0f",newTime)
    return timeToUse
end

function ScenarioSetup(scenarioScriptFilePath,playerSide,opponentSide)
    assert(scenarioScriptFilePath,'No script file path defined!')
    if playerSide == nil then
        playerSide = 'Player'
    end

    if playerSide == nil then
        playerSide = 'Opponent'
    end

    local sides = {
        playerSide,
        opponentSide,
        'Nature',
        'Civilian',
    }

    for k,v in ipairs (sides) do
        ScenEdit_AddSide({name=v})
    end

    ScenEdit_SetSidePosture(playerSide,opponentSide,'H')
    ScenEdit_SetSidePosture(opponentSide,playerSide,'H')
    ScenEdit_SetSidePosture('Nature',opponentSide,'F')
    ScenEdit_SetSidePosture('Civilian',opponentSide,'F')

    ScenEdit_SetSideOptions({side='Civilian',awareness='Blind'})
    ScenEdit_SetSideOptions({side='Nature',awareness='Blind'})

    ScenEdit_SetEvent('LuaInit', 
        {
            mode="add",
            IsRepeatable=1,
            IsShown=0
        }
    )

    ScenEdit_SetTrigger({
        mode="add", 
        type="ScenLoaded", 
        name='Scenario is Loaded'
    })

    ScenEdit_SetAction({
        mode="add", 
        type="LuaScript", 
        name='LuaInit',
        scriptText="ScenEdit_RunScript('"..scenarioScriptFilePath.."LuaInit.lua')"
    })

    ScenEdit_SetEventTrigger('LuaInit', 
        {
            mode="add", 
            name='Scenario is Loaded'
        }
    )

    ScenEdit_SetEventAction('LuaInit', 
        {
            mode="add", 
            name='LuaInit'
        }
    )

    local triggerTime = AddSecondsFromNowDotNetTime(1)

    ScenEdit_SetEvent('Game_Setup', 
        {
            mode="add",
            IsRepeatable=0,
            IsShown=0
        }
    )

    ScenEdit_SetTrigger({
        mode="add", 
        type="Time", 
        name='Start+1s', 
        time=triggerTime
    })

    ScenEdit_SetAction({
        mode="add", 
        type="LuaScript", 
        name='Game_Setup',
        scriptText="RunScript('Game_Setup')"
    })

    ScenEdit_SetEventTrigger('Game_Setup', 
        {
            mode="add", 
            name='Start+1s'
        }
    )

    ScenEdit_SetEventAction('Game_Setup', 
        {
            mode="add", 
            name='Game_Setup'
        }
    )
end

ScenarioSetup(scenarioScriptFilePath,playerSide,opponentSide)

--ScenarioSetup('SAKURABLUEDEMO','Taiwan','Japan')